TektonHub [operator.tekton.dev/v1alpha1]

Description
TektonHub is the Schema for the tektonhub API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject
statusobject

TektonHubStatus defines the observed state of TektonHub

.spec

Type
object
Required
options
PropertyTypeDescription
apiobject
catalogsarray
categoriesarray
customLogoobject

The Base64 Encode data and mediaType of the Custom Logo

dbobject
defaultobject
optionsobject

options holds additions fields and these fields will be updated on the manifests

paramsarray

Params is the list of params passed for Hub customization

scopesarray
targetNamespacestring

TargetNamespace is where resources will be installed

.spec.api

Type
object
PropertyTypeDescription
catalogRefreshIntervalstring
hubConfigUrlstring

Deprecated, will be removed in further release

routeHostUrlstring
secretstring

.spec.catalogs

Type
array

.spec.catalogs[]

Type
object
PropertyTypeDescription
contextDirstring
namestring
orgstring
providerstring
revisionstring
sshUrlstring
typestring
urlstring

.spec.categories

Type
array

.spec.categories[]

Type
string
Description
The Base64 Encode data and mediaType of the Custom Logo
Type
object
PropertyTypeDescription
base64Datastring
mediaTypestring

.spec.db

Type
object
PropertyTypeDescription
secretstring

.spec.default

Type
object
PropertyTypeDescription
scopesarray

.spec.default.scopes

Type
array

.spec.default.scopes[]

Type
string

.spec.options

Description
options holds additions fields and these fields will be updated on the manifests
Type
object
PropertyTypeDescription
configMapsobject
deploymentsobject
disabledboolean
horizontalPodAutoscalersobject
statefulSetsobject
webhookConfigurationOptionsobject

.spec.options.configMaps

Type
object

.spec.options.deployments

Type
object

.spec.options.horizontalPodAutoscalers

Type
object

.spec.options.statefulSets

Type
object

.spec.options.webhookConfigurationOptions

Type
object

.spec.params

Description
Params is the list of params passed for Hub customization
Type
array

.spec.params[]

Description
Param declares an string value to use for the parameter called name.
Type
object
PropertyTypeDescription
namestring
valuestring

.spec.scopes

Type
array

.spec.scopes[]

Type
object
PropertyTypeDescription
namestring
usersarray

.spec.scopes[].users

Type
array

.spec.scopes[].users[]

Type
string

.status

Description
TektonHubStatus defines the observed state of TektonHub
Type
object
PropertyTypeDescription
annotationsobject

Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.

apiUrlstring

The URL route for API which needs to be exposed

authUrlstring

The URL route for Auth server

conditionsarray

Conditions the latest available observations of a resource's current state.

hubInstallerSetsobject

The current installer set name

manifestsarray

The url links of the manifests, separated by comma

observedGenerationinteger

ObservedGeneration is the 'Generation' of the Service that was last processed by the controller.

uiUrlstring

The URL route for UI which needs to be exposed

versionstring

The version of the installed release

.status.annotations

Description
Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
Type
object

.status.conditions

Description
Conditions the latest available observations of a resource's current state.
Type
array

.status.conditions[]

Description
Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
Type
object
Required
statustype
PropertyTypeDescription
lastTransitionTimestring

LastTransitionTime is the last time the condition transitioned from one status to another. We use VolatileTime in place of metav1.Time to exclude this from creating equality.Semantic differences (all other things held constant).

messagestring

A human readable message indicating details about the transition.

reasonstring

The reason for the condition's last transition.

severitystring

Severity with which to treat failures of this type of condition. When this is not specified, it defaults to Error.

statusstring

Status of the condition, one of True, False, Unknown.

typestring

Type of condition.

.status.hubInstallerSets

Description
The current installer set name
Type
object

.status.manifests

Description
The url links of the manifests, separated by comma
Type
array

.status.manifests[]

Type
string

API Endpoints

The following API endpoints are available:

  • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonhubs
    • DELETE: delete collection of TektonHub
    • GET: list objects of kind TektonHub
    • POST: create a new TektonHub
  • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonhubs/{name}
    • DELETE: delete the specified TektonHub
    • GET: read the specified TektonHub
    • PATCH: partially update the specified TektonHub
    • PUT: replace the specified TektonHub
  • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonhubs/{name}/status
    • GET: read status of the specified TektonHub
    • PATCH: partially update status of the specified TektonHub
    • PUT: replace status of the specified TektonHub

/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonhubs

HTTP method
DELETE
Description
delete collection of TektonHub
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind TektonHub
HTTP responses
HTTP codeResponse body
200 - OKTektonHubList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new TektonHub
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyTektonHub schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKTektonHub schema
201 - CreatedTektonHub schema
202 - AcceptedTektonHub schema
401 - UnauthorizedEmpty

/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonhubs/{name}

HTTP method
DELETE
Description
delete the specified TektonHub
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified TektonHub
HTTP responses
HTTP codeResponse body
200 - OKTektonHub schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified TektonHub
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKTektonHub schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified TektonHub
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyTektonHub schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKTektonHub schema
201 - CreatedTektonHub schema
401 - UnauthorizedEmpty

/apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonhubs/{name}/status

HTTP method
GET
Description
read status of the specified TektonHub
HTTP responses
HTTP codeResponse body
200 - OKTektonHub schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified TektonHub
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKTektonHub schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified TektonHub
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyTektonHub schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKTektonHub schema
201 - CreatedTektonHub schema
401 - UnauthorizedEmpty